Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.domain.valueobject
Class GisFeatureDistance.GisFeatureDistanceBuilder

    java.lang.Object
      com.gisgraphy.domain.valueobject.GisFeatureDistance.GisFeatureDistanceBuilder

Enclosing class:
  GisFeatureDistance

    public static class GisFeatureDistance.GisFeatureDistanceBuilder

extends java.lang.Object

Method Summary
`GisFeatureDistance` | `build()`
`static GisFeatureDistance.GisFeatureDistanceBuilder` | `gisFeatureDistance()`
`GisFeatureDistance.GisFeatureDistanceBuilder` | `withAdm1Code(java.lang.String adm1Code)`
`GisFeatureDistance.GisFeatureDistanceBuilder` | `withAdm1Name(java.lang.String adm1Name)`
`GisFeatureDistance.GisFeatureDistanceBuilder` | `withAdm2Code(java.lang.String adm2Code)`
`GisFeatureDistance.GisFeatureDistanceBuilder` | `withAdm2Name(java.lang.String adm2Name)`
`GisFeatureDistance.GisFeatureDistanceBuilder` | `withAdm3Code(java.lang.String adm3Code)`
`GisFeatureDistance.GisFeatureDistanceBuilder` | `withAdm3Name(java.lang.String adm3Name)`
`GisFeatureDistance.GisFeatureDistanceBuilder` | `withAdm4Code(java.lang.String adm4Code)`
`GisFeatureDistance.GisFeatureDistanceBuilder` | `withAdm4Name(java.lang.String adm4Name)`
`GisFeatureDistance.GisFeatureDistanceBuilder` | `withAsciiName(java.lang.String asciiName)`
`GisFeatureDistance.GisFeatureDistanceBuilder` | `withCountryCode(java.lang.String countryCode)`
`GisFeatureDistance.GisFeatureDistanceBuilder` | `withDistance(java.lang.Double distance)`
`GisFeatureDistance.GisFeatureDistanceBuilder` | `withElevation(java.lang.Integer elevation)`
`GisFeatureDistance.GisFeatureDistanceBuilder` | `withFeatureClass(java.lang.String featureClass)`
`GisFeatureDistance.GisFeatureDistanceBuilder` | `withFeatureCode(java.lang.String featureCode)`
`GisFeatureDistance.GisFeatureDistanceBuilder` | `withFeatureId(java.lang.Long featureId)`
`GisFeatureDistance.GisFeatureDistanceBuilder` | `withGtopo30(java.lang.Integer gtopo30)`
`GisFeatureDistance.GisFeatureDistanceBuilder` | `withLocation(com.vividsolutions.jts.geom.Point location)`
`GisFeatureDistance.GisFeatureDistanceBuilder` | `withName(java.lang.String name)`
`GisFeatureDistance.GisFeatureDistanceBuilder` | `withPlaceType(java.lang.Class<? extends GisFeature> placeType)`
`GisFeatureDistance.GisFeatureDistanceBuilder` | `withPopulation(java.lang.Integer population)`
`GisFeatureDistance.GisFeatureDistanceBuilder` | `withTimeZone(java.lang.String timezone)`
`GisFeatureDistance.GisFeatureDistanceBuilder` | `withZipCode(java.lang.Integer zipCode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### gisFeatureDistance

    public static GisFeatureDistance.GisFeatureDistanceBuilder gisFeatureDistance()

### build

    public GisFeatureDistance build()

### withName

    public GisFeatureDistance.GisFeatureDistanceBuilder withName(java.lang.String name)

### withLocation

    public GisFeatureDistance.GisFeatureDistanceBuilder withLocation(com.vividsolutions.jts.geom.Point location)

### withDistance

    public GisFeatureDistance.GisFeatureDistanceBuilder withDistance(java.lang.Double distance)

### withAdm1Code

    public GisFeatureDistance.GisFeatureDistanceBuilder withAdm1Code(java.lang.String adm1Code)

### withAdm2Code

    public GisFeatureDistance.GisFeatureDistanceBuilder withAdm2Code(java.lang.String adm2Code)

### withAdm3Code

    public GisFeatureDistance.GisFeatureDistanceBuilder withAdm3Code(java.lang.String adm3Code)

### withAdm4Code

    public GisFeatureDistance.GisFeatureDistanceBuilder withAdm4Code(java.lang.String adm4Code)

### withAdm1Name

    public GisFeatureDistance.GisFeatureDistanceBuilder withAdm1Name(java.lang.String adm1Name)

### withAdm2Name

    public GisFeatureDistance.GisFeatureDistanceBuilder withAdm2Name(java.lang.String adm2Name)

### withAdm3Name

    public GisFeatureDistance.GisFeatureDistanceBuilder withAdm3Name(java.lang.String adm3Name)

### withAdm4Name

    public GisFeatureDistance.GisFeatureDistanceBuilder withAdm4Name(java.lang.String adm4Name)

### withAsciiName

    public GisFeatureDistance.GisFeatureDistanceBuilder withAsciiName(java.lang.String asciiName)

### withCountryCode

    public GisFeatureDistance.GisFeatureDistanceBuilder withCountryCode(java.lang.String countryCode)

### withElevation

    public GisFeatureDistance.GisFeatureDistanceBuilder withElevation(java.lang.Integer elevation)

### withFeatureClass

    public GisFeatureDistance.GisFeatureDistanceBuilder withFeatureClass(java.lang.String featureClass)

### withFeatureCode

    public GisFeatureDistance.GisFeatureDistanceBuilder withFeatureCode(java.lang.String featureCode)

### withFeatureId

    public GisFeatureDistance.GisFeatureDistanceBuilder withFeatureId(java.lang.Long featureId)

### withGtopo30

    public GisFeatureDistance.GisFeatureDistanceBuilder withGtopo30(java.lang.Integer gtopo30)

### withPopulation

    public GisFeatureDistance.GisFeatureDistanceBuilder withPopulation(java.lang.Integer population)

### withTimeZone

    public GisFeatureDistance.GisFeatureDistanceBuilder withTimeZone(java.lang.String timezone)

### withZipCode

    public GisFeatureDistance.GisFeatureDistanceBuilder withZipCode(java.lang.Integer zipCode)

### withPlaceType

    public GisFeatureDistance.GisFeatureDistanceBuilder withPlaceType(java.lang.Class<? extends GisFeature> placeType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.